<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.takesurvey.model.SurveyAnswer" />

        <variable
            name="handler"
            type="com.vessel.app.takesurvey.ui.QuestionRecyclerViewAdapter.QuestionClickHandler" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/spacing_xs"
        android:background="@drawable/white_alpha70_background"
        android:onClick="@{() -> handler.onAnswerClicked(item)}"
        android:padding="@dimen/spacing_normal">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/boldText"
            style="@style/Title.XL"
            visible="@{item.primaryText != null &amp;&amp; !item.primaryText.empty}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="start|center_vertical"
            android:paddingHorizontal="@dimen/spacing_normal"
            android:text="@{item.primaryText}"
            android:textSize="@dimen/font_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:textAllCaps="false"
            tools:text="3 -5"
            tools:visibility="visible" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/normalText"
            style="@style/Text.Small"
            visible="@{item.primaryText != null &amp;&amp; !item.primaryText.empty}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="start|center_vertical"
            android:paddingHorizontal="@dimen/spacing_large"
            android:text="@{item.secondaryText}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/boldText"
            app:layout_constraintVertical_bias="0"
            app:textAllCaps="false"
            tools:text=" Seconds"
            tools:visibility="visible" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/Text"
            style="@style/Text.Small.bananagrotesk"
            visible="@{item.primaryText == null || item.primaryText.empty}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="@dimen/spacing_small"
            android:text="@{item.secondaryText}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/boldText"
            app:textAllCaps="false"
            tools:text=" Seconds"
            tools:visibility="gone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
